/*
 * Created by sweetbread
 * Copyright (c) 2025. All rights reserved.
 */

package ru.risdeveau.geotracker

import splitties.preferences.Preferences

object SettingsPreferences : Preferences("settings") {
    var username by stringPref("username", "")
    var url by stringPref("url", "https://geo.tmp.codrs.ru")
    val interval by IntPref("interval", 15)
}

object StatisticsPreferences : Preferences("statistics") {
    var totalSent by IntPref("total_sent", 0)
    var sessionSent by IntPref("session_sent", 0)
    var lastSent by LongPref("last_sent", 0)
}